namespace Generator_Class_BD.Clases.NetCore._3.Datos
{
    using Generator_Class_BD.Clases.Consultas;
    using Generator_Class_BD.Clases.NetCore._3.Datos.DAL;
    using Generator_Class_BD.Clases.Transversales.DO;
    using System.Data;

    public class Datos
    {
        public static void GenerarDOEntidades(string vNombreClase, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseDO.GenerarDOEntidades(vNombreClase, txtRuta, TxtSolucion, autor, company);
        }

        public static void GenerarDOConsultas(Consulta consulta, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseDO.GenerarDOConsultas(consulta, txtRuta, TxtSolucion, autor, company);
        }

        public static void GenerarDAL(string vNombreClase, string txtRuta, DataSet dsCol, string TxtSolucion, string autor, string company)
        {
            ClaseDAL.GenerarDAL(vNombreClase, txtRuta, dsCol, TxtSolucion, autor, company);
        }

        public static void GenerarDALConsultas(Consulta consulta, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseDAL.GenerarDALConsultas(consulta, txtRuta, TxtSolucion, autor, company);
        }
    }
}